Skip to main content
GET
/
tier-thresholds
Tier Thresholds
curl --request GET \
  --url https://tokens.shakesco.com/tier-thresholds \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://tokens.shakesco.com/tier-thresholds"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://tokens.shakesco.com/tier-thresholds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "bronze": "100.0",
  "silver": "500.0",
  "gold": "2000.0",
  "is_active": true
}
For the complete documentation index, see llms.txt. Returns the balance thresholds you’ve set for each tier, plus whether tiers are currently active. is_active is false if you’ve never called /set-tiers.

Response

bronze
string
Balance required for Bronze tier
silver
string
Balance required for Silver tier
gold
string
Balance required for Gold tier
is_active
boolean
true once thresholds have been configured
const res = await fetch("https://tokens.shakesco.com/tier-thresholds", {
  headers: { Authorization: `Bearer ${API_KEY}` },
});
const tiers = await res.json();
{
  "bronze": "100.0",
  "silver": "500.0",
  "gold": "2000.0",
  "is_active": true
}